dnl configure script

AC_PREREQ(2.52d)

AC_INIT(ne_request.c)
AC_CONFIG_HEADER(config.h)

AC_ISC_POSIX
AC_PROG_CC
AC_PROG_INSTALL
AC_LANG_C
AC_SET_MAKE
AC_PROG_RANLIB

AC_HEADER_STDC

NEON_REQUIRE(0,19)
NEON_WITHOUT_ZLIB
NEON_WITHOUT_ACL

dnl Build neon. We support a VPATH build.
NEON_VPATH_BUNDLED(['$(top_srcdir)/libneon'], [libneon], [
	# We are using a bundled build, do the necessary stuff...
	# we have a bundled expat, and we don't need zlib support
	NEON_XML_PARSER([\$(top_builddir)/expat], [\$(top_srcdir)/expat])
	NEON_NORMAL_BUILD
], [
	# Not using a bundled build... do stuff.
	AC_C_CONST
	AC_CHECK_HEADERS(stdlib.h string.h strings.h unistd.h)
])

NEON_WARNINGS

AC_SUBST(SDEFS)
AC_SUBST(PACKAGE)
AC_SUBST(LIBS)
AC_SUBST(LIBOBJ)
AC_SUBST(CFLAGS)
AC_SUBST(SUBDIRS)

AC_OUTPUT([Makefile])
AC_OUTPUT([libs.mk])

cat <<EOF

Configuration:

  Compiler:              ${CC}
  Neon library:	         ${neon_library_message}
  XML Parser:            ${neon_xml_parser_message}
  SSL library:		 ${neon_ssl_message}

EOF
